Retrieve Quick Promise to Pay by Account ID
get
/obedm-ptp-services/ptp
This endpoint is used to retrieve the quick Promise to Pay details.
Request
Supported Media Types
- application/json
- application/xml
Query Parameters
-
accountId(required): string
Account ID for Promise to pay.
-
ptpType: string
Promise To Pay Type.
Header Parameters
-
appId(required): string
Application ID of Promise To Pay.
-
branchCode(required): string
Branch Code of Promise To Pay.
-
contentType: string
content Type of Promise To Pay.
-
tenantId: string
Tenant ID of Promise To Pay.
-
userId(required): string
User ID of Promise To Pay.
Response
Supported Media Types
- application/json
- application/xml
200 Response
Returns the quick Promise To Pay detail based on given account ID.
Root Schema : DmInitLoadPTPDto
Type:
Show Source
object-
accountId:
string
The ID of the account associated with the PTP.
-
currencyCode:
string
The currency code for the PTP amount.
-
dmAccountRepaySchDTO:
array dmAccountRepaySchDTO
An array of account repayment schedule DTOs associated with the PTP.
-
lookupDtoMap:
object lookupDtoMap
Additional Properties Allowed: DmTmLookupTypeDTOA map of lookup type DTOs associated with the PTP.
-
promiseDate:
string
The date on which the PTP is promised.
-
ptpTypeCodeDto:
array ptpTypeCodeDto
An array of PTP type code DTOs associated with the PTP.
-
taskCodeDto:
array taskCodeDto
An array of task type code DTOs associated with the PTP.
Nested Schema : dmAccountRepaySchDTO
Type:
arrayAn array of account repayment schedule DTOs associated with the PTP.
Show Source
Nested Schema : lookupDtoMap
Type:
objectAdditional Properties Allowed
Show Source
A map of lookup type DTOs associated with the PTP.
Nested Schema : ptpTypeCodeDto
Type:
arrayAn array of PTP type code DTOs associated with the PTP.
Show Source
Nested Schema : taskCodeDto
Type:
arrayAn array of task type code DTOs associated with the PTP.
Show Source
Nested Schema : DmAccountRepaySchDTO
Type:
Show Source
object-
accountId:
string
The unique identifier for the account.
-
installmentAmt:
string
The amount of the repayment installment.
-
installmentDt:
string
The date of the repayment installment.
Nested Schema : GenericDto
Match All
Show Source
-
object
GenericDto-allOf[0]
Discriminator:
resource_type
Nested Schema : GenericDto-allOf[0]
Type:
objectDiscriminator:
resource_typeNested Schema : DmTmLookupCodeDTO
Type:
Show Source
object-
enabledFlg:
boolean
Enabled Flag
-
id:
string
ID
-
lookupCd:
string
Lookup Code
-
lookupDesc:
string
Lookup Description
-
lookupTypeMasterId:
string
Lookup Type Master ID
-
seqNo:
integer
Minimum Value:
0Maximum Value:999Sequence Number -
subCodeOne:
string
Sub Code One
-
subCodeTwo:
string
Sub Code Two
-
sysDefFlg:
boolean
System Def Flag
Nested Schema : PtpTypeCodeDto
Type:
Show Source
object-
ptpSegmentCodes:
array ptpSegmentCodes
An array of segment codes associated with the PTP type.
-
ptpTypeCode:
string
The code associated with the PTP type.
-
ptpTypeDesc:
string
The description of the PTP type.
Nested Schema : ptpSegmentCodes
Type:
arrayAn array of segment codes associated with the PTP type.
Show Source
Nested Schema : TaskTypeCodeDto
Type:
Show Source
object-
segmentCode:
string
The code associated with the segment of the task type.
-
taskCode:
string
The code associated with the task type.
-
taskDesc:
string
The description of the task type.
-
taskId:
string
The ID of the task associated with the task type.
-
taskStatus:
string
The status of the task type.
400 Response
Malformed syntax.
401 Response
Request does not have sufficient credentials.
403 Response
Request is not authorized.
500 Response
Internal error.